%global forgeurl    https://gitlab.gnome.org/jpu/cambalache

%global uuid        ar.xjuan.Cambalache

Name:           cambalache
Version:        0.9.4
Release:        %autorelease
Summary:        RAD tool for Gtk 4 & 3 with a clear MVC design and data model first philosophy

%forgemeta

# Cambalache is licensed under the LGPLv2 license.
# Tools (in the tools/ directory) are licensed under the GPLv2 license.
# Tools are not installed, so neither will be the GPLv2 license.
License:        LGPLv2 AND GPLv2
URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:        casilda-0.2.tar.bz2

BuildRequires:  meson
BuildRequires:  gtk4-devel
BuildRequires:  gtk3-devel
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-lxml
BuildRequires:  pytest
BuildRequires:  webkitgtk6.0
BuildRequires:  gtksourceview5
BuildRequires:  desktop-file-utils
BuildRequires:  libadwaita-devel
BuildRequires:  libappstream-glib
BuildRequires:  libhandy-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  wlroots-devel

Requires:       gtk4
Requires:       hicolor-icon-theme
Requires:       python3-lxml
Requires:       webkitgtk6.0
Requires:       libadwaita
Requires:       libhandy
Requires:       wlroots
Recommends:     gtk3


%global _description %{expand:
Cambalache is a new RAD tool for Gtk 4 and 3 with a clear MVC design and data
model first philosophy. This translates to a wide feature coverage with
minimal/none developer intervention for basic support.

To support multiple Gtk versions it renders the workspace out of process using
the Gdk broadway backend.}

%description %{_description}

%package devel
Summary: Files for development of applications which will use Cambalache.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel %{_description}

%prep
%setup
mkdir -p subprojects
cd subprojects 
tar jxf %{S:1}
mv casilda-0.2 casilda

%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{uuid}.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_bindir}/cmb-catalog-gen
%{python3_sitelib}/%{name}/
%{_metainfodir}/%{uuid}.metainfo.xml
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml
%{_datadir}/icons/hicolor/*/{apps,mimetypes}/*.svg
%{_datadir}/mime/packages/%{uuid}.mime.xml
%{_libdir}/lib%{name}*
%{_libdir}/libcasilda*
%{_libdir}/libcmbcatalogutils*
%{_libdir}/girepository-1.0/Cambalache*
%{_libdir}/girepository-1.0/Casilda*
%{_libdir}/girepository-1.0/CmbCatalogUtils*
%{python3_sitelib}/cmb_catalog_gen/

%files devel
%defattr(-,root,root,-)
%{_includedir}/casilda/
%{_datadir}/gir-1.0/Cambalache*
%{_datadir}/gir-1.0/Casilda*
%{_datadir}/gir-1.0/CmbCatalogUtils*
%{_libdir}/pkgconfig/casilda*

%changelog
%autochangelog
